summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2023-05-07 11:47:47 +0300
committerPaul Buetow <paul@buetow.org>2023-05-07 11:47:47 +0300
commite0e39d56a5edc124a1f3dfe37ac5043e05e85619 (patch)
treed2b6673d5fda5174c62a7c1de095bd3a6420d155 /lib
parent878806081b5da10a4e851a9258a67a16a73f9d9c (diff)
dont make gemtexter stop when there isnt anything new to be committed to git
Diffstat (limited to 'lib')
-rw-r--r--lib/git.source.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/lib/git.source.sh b/lib/git.source.sh
index 8048aad..c2b216a 100644
--- a/lib/git.source.sh
+++ b/lib/git.source.sh
@@ -30,7 +30,9 @@ git::_add_all () {
done
local -r format="$(basename "$content_dir")"
- git commit -a -m "$message for $format"
+ if ! git commit -a -m "$message for $format"; then
+ log INFO 'Nothing new to be added'
+ fi
cd "$pwd"
}